#ifndef Abstract_Text_Button_H
#define Abstract_Text_Button_H
#include "../Global.h"
class Abstract_Text_Button : public QWidget {
public:
    explicit Abstract_Text_Button(QWidget *parent = nullptr);
    QFont font;
    QColor background_color;
    QColor enter_color;
    QPen pen;
    bool enter = false;
    std::function<void(void)> click = nullptr;
protected:
    void paintEvent(QPaintEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;
};
#endif



